using Utility.CustomizeTimeLogic.FxLogic.TimeLineEvent;
using UTool.CustomizeTimeLogic.FxLogic.TimeLineEventinterface;

namespace UTool.CustomizeTimeLogic.FxLogic.TimeLineEventLogic
{
    public class TimeLineSkillStartEventLogic : TimeLineEventLogicBasic
    {
        protected override void ProSetCombatInfo()
        {
        }

        protected override void ProEnter()
        {
            ITimeLineSkillStart iTimeLineSkillStart = TimeLineSingletonEventManager.Instance.GetTimeLine<ITimeLineSkillStart>();
            if (iTimeLineSkillStart != null)
            {
                iTimeLineSkillStart.SkillShowStart(_castEntity, mTimeLineAssetSerialization,_timeLineEventLogicGroup);
            }
        }

        protected override void ProLeave()
        {
            ITimeLineSkillStart iTimeLineSkillStart = TimeLineSingletonEventManager.Instance.GetTimeLine<ITimeLineSkillStart>();
            if (iTimeLineSkillStart != null)
            {
                iTimeLineSkillStart.SkillShowFinish(_castEntity, mTimeLineAssetSerialization,_timeLineEventLogicGroup);
            }
        }

        protected override void ProTimeUpdate()
        {
        }

        protected override void ProBreakTimeLine()
        {
        }

        protected override void ProDispose()
        {
        }
    }
}